# KillCallback
### Adds a client sided callback triggered each player kill in the match.

<hr>

## Note:
Thanks to `Fifty#8113` and `Spoon#1812` as they did most of the work on this.

<hr>

# For end users:
This alone does nothing but is required for other mods to function.

If another mod listed this one as its dependency, download it!

<hr>

# For modders:

## Changelog:

- v2.0.1:
	- Added `bool victimIsOwnedTitan` to callback params

### Due to the new update, all mods which require this one must be updated (v1.0.0 -> v2.0.0+).

### `AddClientCallback_OnPlayerKilled ( void functionref ( ObituaryCallbackParams {entity victim, entity attacker, int damageSourceId, int scriptDamageType} ) customCallback)`

With the <a href="https://github.com/S2ymi/R2NS-ClientKillCallback/pull/1">new update made by Uniboi</a>, the arguments of current callbacks need to be replaced with an `ObituaryCallbackParams` struct.<br>
The struct currently contains:
- entity attacker
- entity victim
- int damageSourceId
- int scriptDamageType
- bool victimIsOwnedTitan

#### Example:

```
void function afterClientInit(){
    AddCallback_OnPlayerKilled ( myCallbackFunction )
}

void function myCallbackFunction ( ObituaryCallbackParams inputParams ) {
    if(inputParams.attacker == GetLocalClientPlayer() && DamageSourceIDToString(inputParams.damageSourceId) == "mp_weapon_sniper")
        thread myOnKillFunction()
}
```

Note: this is triggered each time a player gets killed in a match, **not just by the client player**. If you only care about client player's kills, simply check if `inputParams.attacker == GetLocalClientPlayer()`